package cn.com.qmth.print.manage.controller;

import cn.com.qmth.print.manage.service.CheckRecordService;
import cn.com.qmth.print.manage.service.PmSession;
import cn.com.qmth.print.manage.service.query.RecordQuery;
import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/check")
@Aac(strict = false, auth = true)
public class CheckRecordController extends BaseController {

    @Resource
    private CheckRecordService checkRecordService;

    @RequestMapping("/page")
    public Object page(@Validated RecordQuery query) {
        return checkRecordService.pageQuery(query);
    }

    @RequestMapping("/start")
    public Object start(@RequestAttribute PmSession accessEntity, @RequestParam(required = false) Long id,
                        @RequestParam Long examId, @RequestParam String startNumber) {
        Long userId = getAccessUserId(accessEntity);
        return checkRecordService.start(id, userId, examId, startNumber);
    }

    @RequestMapping("/end")
    public Object end(@RequestAttribute PmSession accessEntity, @RequestParam Long id, @RequestParam Long examId,
                      @RequestParam String endNumber) {
        Long userId = getAccessUserId(accessEntity);
        return checkRecordService.end(id, userId, examId, endNumber);
    }

    @RequestMapping("/findOne")
    public Object findOne(@RequestParam Long id, @RequestParam String examNumber) {
        return checkRecordService.findOne(id, examNumber);
    }
}
