package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.ExamEntity;
import cn.com.qmth.print.manage.entity.UserEntity;
import cn.com.qmth.print.manage.service.query.ExamQuery;
import cn.com.qmth.print.manage.vo.ExamVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface ExamService extends IService<ExamEntity> {

    List<ExamEntity> listByOrgId();

    Long saveExam(ExamEntity exam);

    IPage<ExamVo> pageQuery(ExamQuery query);

    List<ExamVo> listByUserId(Long userId);

    /**
     * 导入考试
     *
     * @param requestUser   请求用户
     * @param printLeaderId 印点负责人
     * @param file          文件
     * @return 报错信息
     */
    Object importExams(UserEntity requestUser, Long printLeaderId, MultipartFile file) throws IOException;

    /**
     * 删除考试批次
     *
     * @param examId 考试id
     */
    void deleteExam(Long examId);
}
