package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.UserEntity;
import cn.com.qmth.print.manage.enums.RoleMeta;
import cn.com.qmth.print.manage.service.query.UserQuery;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

public interface UserService extends IService<UserEntity> {

    /**
     * 用户保存
     *
     * @param requestUser 当前请求用户
     * @param user        编辑的用户信息
     * @param file        批次导入文件
     * @return 用户保存结果
     */
    boolean save(UserEntity requestUser, Long id, String loginName, String name, RoleMeta role, String password, boolean enable, MultipartFile file) throws IOException;

    IPage<UserEntity> pageQuery(Long printUserId, UserQuery query);

    List<UserEntity> listByEnable();

    UserEntity findByLoginName(String loginName);
}
